
Infrastructure - Task #2430

Bug # 2429 (Closed): knb mn's failing certain authorization tests

equivIDs of the rightsHolder getting NotAuthorized exceptions

2012-03-02 19:15 - Rob Nahf

Status: Closed Start date: 2012-03-02

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

for a test object with rightsHolder "CN=testPerson,DC=dataone,DC=org", and no accessPolicy,

client  "CN=testMappedPerson,DC=dataone,DC=org" with subject info:

<?xml version="1.0" encoding="UTF-8"?>

CN=testMappedPerson,DC=dataone,DC=org

testMappedPerson_givenName

testMappedPerson_familyName

CN=testPerson,DC=dataone,DC=org

CN=testPerson,DC=dataone,DC=org

testPerson_givenName

testPerson_familyName

testGroup

CN=testMappedPerson,DC=dataone,DC=org

true

/d1:subjectInfo

gets NotAuthorized returned from isAuthorized against that object.

History

#1 - 2012-03-05 13:54 - Chris Jones

- Status changed from New to In Progress

- Assignee set to Chris Jones

#2 - 2012-03-07 17:08 - Chris Jones

I've updated isAuthorized() to insert the symbolic verified user into the equivalent subject list for each person listed (not just the primary).  Wrote a

metacat test that now succeeds in this scenario.  Needs to be tested via d1_integration.

#3 - 2012-03-13 19:50 - Ben Leinfelder

- Status changed from In Progress to Closed

This is woking for me - may have been resolved earlier or as part of other bug fixes related to authorization.
